%define	_snapshot	-pre20000412

Summary: A mail checker client and the comsat mail checking server.
Name: comsat
Version: 0.17
Release: 3
Copyright: BSD
Group: System Environment/Daemons
Source0: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/biff+comsat-%{version}%{_snapshot}.tar.gz
Source1: comsat-xinetd
Patch0: biff+comsat-0.10-nobr.patch
Obsoletes: biff
Provides: biff
Requires: xinetd
BuildRoot: %{_tmppath}/%{name}-root

%description
The biff client and comsat server, both included in this package, are
an antiquated method of asynchronous mail notification.  Although they
are still supported, most users use their shell's MAIL variable (or
csh shell's mail variable) to check for mail, or a dedicated
application like xbiff, xmailbox, or the GNOME mail check applet.  If
the comsat service is not enabled, biff won't work and you'll need to
use something else. You may want to install biff and comsat if you'd
like to be notified when mail arrives. However, you should probably
check out the more modern methodologies of mail notification instead.

%prep
%setup -q -n biff+comsat-%{version}%{_snapshot}
%patch0 -p1

%build
sh configure --with-c-compiler=gcc
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

make INSTALLROOT=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}/etc/xinetd.d
install -m644 %SOURCE1 ${RPM_BUILD_ROOT}/etc/xinetd.d/comsat

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/biff
%{_sbindir}/in.comsat
%config /etc/xinetd.d/comsat
%{_mandir}/man[18]/*

%changelog
* Wed May 30 2001 Tim Waugh <twaugh@redhat.com> 0.17-3
- Sync description with specspo

* Wed Apr  4 2001 Jakub Jelinek <jakub@redhat.com> 0.17-2.3
- don't let configure to guess compiler, it can pick up egcs

* Tue Jul 18 2000 Bill Nottingham <notting@redhat.com>
- add description & default to xinetd file

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- flag xinetd config file as a config file

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to 0.17.

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- change to be disabled by default, as in previous releases

* Tue May 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added xinetd support

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Wed Sep  8 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.15.
- more secure /dev/pts patch.

* Wed Jul 28 1999 Jeff Johnson <jbj@redhat.com>
- teach comsat about /dev/pts (#4026).
- recompile with correct _PATH_MAILDIR.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
